Skip to main content
POST
/
v1
/
cases
cURL
curl --request POST \
  --url https://api.lighthousefh.com/v1/cases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "date_of_birth": "<string>",
  "date_of_death": "<string>",
  "date_of_service": "<string>",
  "external_id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "location_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "status": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "data": {
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updated_at": "2023-11-07T05:31:56Z",
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "date_of_birth": "2023-12-25",
    "date_of_death": "2023-12-25",
    "date_of_service": "2023-12-25",
    "deleted_at": "2023-11-07T05:31:56Z",
    "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "location_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "summary": "<string>"
  },
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
organization_uuid
string<uuid>
required
user_uuid
string<uuid>
required
date_of_birth
string | null
date_of_death
string | null
date_of_service
string | null
external_id
string | null
first_name
string | null
last_name
string | null
location_uuid
string<uuid> | null

Response

Case created

status
string
required
timestamp
string<date-time>
required
data
object
message
string | null
request_id
string | null